summaryrefslogtreecommitdiffstats
path: root/lib/parse-functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/parse-functions.sh')
-rwxr-xr-xlib/parse-functions.sh21
1 files changed, 11 insertions, 10 deletions
diff --git a/lib/parse-functions.sh b/lib/parse-functions.sh
index a582c28a..9c2ebff5 100755
--- a/lib/parse-functions.sh
+++ b/lib/parse-functions.sh
@@ -72,6 +72,17 @@ parse_network_settings() {
echo -e "${red}ERROR: Failed to parse network settings file $NETSETS ${reset}"
exit 1
fi
+
+ if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
+ if [ "$net_isolation_enabled" == "FALSE" ]; then
+ echo -e "${red}ERROR: flat network is not supported with ovs-dpdk ${reset}"
+ exit 1
+ fi
+ if [[ ! $enabled_network_list =~ "private_network" ]]; then
+ echo -e "${red}ERROR: tenant network is not enabled for ovs-dpdk ${reset}"
+ exit 1
+ fi
+ fi
}
##parses deploy settings yaml into globals
@@ -85,16 +96,6 @@ parse_deploy_settings() {
exit 1
fi
- if [ "${deploy_options_array['dataplane']}" == 'ovs_dpdk' ]; then
- if [ "$net_isolation_enabled" == "FALSE" ]; then
- echo -e "${red}ERROR: flat network is not supported with ovs-dpdk ${reset}"
- exit 1
- fi
- if [[ ! $enabled_network_list =~ "private_network" ]]; then
- echo -e "${red}ERROR: tenant network is not enabled for ovs-dpdk ${reset}"
- exit 1
- fi
- fi
}
##parses baremetal yaml settings into compatible json